How to fix the error "The .NET Framework is not supported on this operating system"

How to fix the error "The .NET Framework is not supported on this operating system"

When installing a program or a specific version of the .NET Framework on Windows 10, some users get the error “The .NET Framework is not supported on this operating system”.

In this article, make techin.com will explain why this error appears as well as guide you on how to fix it.

Depending on the version of the .NET Framework, when you encounter an error you will receive the full error message as follows:

Microsoft .NET Framework Setup has detected that this computer does not meet the requirements to complete this operation. The following blocking issues must be resolved before you can proceed. Blocking Issues: The .NET Framework 4.7.2 is not supported on this operating system. More information about blocked .NET Framework 4.7.2 installations.

The reason for the error is already mentioned in the error message. Although the .NET Framework supports Windows 10, the .NET Framework version is not compatible with all versions of Windows 10 and vice versa.

.NET Framework error message

So, when you get this error message, you are running a version of Windows 10 that is incompatible with the version of .NET Framework you want to install.

How to fix the error “The .NET Framework is not supported on this operating system”

When you encounter this problem, the only solution you can do is to update Windows 10. You should check Windows Updates even if you are using the latest Windows 10. Since the cause of the error is the operating system incompatible with the software, installing all the existing Windows 10 updates should resolve the issue.

You can also check exactly which version of Windows 10 you are using and which .NET Framework version is compatible by following these steps:

  • Press the Windows + R key combination to open the Run dialog box
  • Type winver into Run and press Enter
  • In the new window that appears, you can find your Windows version under About Windows . The numbers after Version are your Windows version number. They can be 1507, 1709, 1803, 1909, 2004 or 20H2 …
Make tech computers are currently running Windows 10 Version 20H2
  • Now, you need to make sure that you are running a version of Windows 10 that is compatible with .NET Framewrok. You can refer to the list that Microsoft posted here.
  • If you’re using a version of Windows 10 that isn’t compatible with a specific version of the .NET Framework, you’ll have to upgrade to Windows 10.

After upgrading your Windows 10 operating system, reinstall .NET Framework and the problem will be fixed.

I wish you success and invite you to refer to other useful tips on Quantum: